/[gentoo-x86]/eclass/php-ext-source-r2.eclass
Gentoo

Diff of /eclass/php-ext-source-r2.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.33 Revision 1.34
1# Copyright 1999-2013 Gentoo Foundation 1# Copyright 1999-2015 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-source-r2.eclass,v 1.33 2013/06/01 18:51:57 robbat2 Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-source-r2.eclass,v 1.34 2015/03/26 16:15:33 grknight Exp $
4 4
5# @ECLASS: php-ext-source-r2.eclass 5# @ECLASS: php-ext-source-r2.eclass
6# @MAINTAINER: 6# @MAINTAINER:
7# Gentoo PHP team <php-bugs@gentoo.org> 7# Gentoo PHP team <php-bugs@gentoo.org>
8# @AUTHOR: 8# @AUTHOR:
14# @BLURB: A unified interface for compiling and installing standalone PHP extensions. 14# @BLURB: A unified interface for compiling and installing standalone PHP extensions.
15# @DESCRIPTION: 15# @DESCRIPTION:
16# This eclass provides a unified interface for compiling and installing standalone 16# This eclass provides a unified interface for compiling and installing standalone
17# PHP extensions (modules). 17# PHP extensions (modules).
18 18
19inherit flag-o-matic autotools multilib 19inherit flag-o-matic autotools multilib eutils
20 20
21EXPORT_FUNCTIONS src_unpack src_prepare src_configure src_compile src_install 21EXPORT_FUNCTIONS src_unpack src_prepare src_configure src_compile src_install
22 22
23DEPEND=">=sys-devel/m4-1.4.3 23DEPEND=">=sys-devel/m4-1.4.3
24 >=sys-devel/libtool-1.5.18" 24 >=sys-devel/libtool-1.5.18"
51[[ -z "${PHP_EXT_ZENDEXT}" ]] && PHP_EXT_ZENDEXT="no" 51[[ -z "${PHP_EXT_ZENDEXT}" ]] && PHP_EXT_ZENDEXT="no"
52 52
53# @ECLASS-VARIABLE: USE_PHP 53# @ECLASS-VARIABLE: USE_PHP
54# @DESCRIPTION: 54# @DESCRIPTION:
55# Lists the PHP slots compatibile the extension is compatibile with 55# Lists the PHP slots compatibile the extension is compatibile with
56[[ -z "${USE_PHP}" ]] && USE_PHP="php5-3" 56[[ -z "${USE_PHP}" ]] && USE_PHP="php5-3" \
57 && eqawarn "An empty USE_PHP is deprecated and support will be removed on 2015-05-01"
57 58
58# @ECLASS-VARIABLE: PHP_EXT_OPTIONAL_USE 59# @ECLASS-VARIABLE: PHP_EXT_OPTIONAL_USE
59# @DESCRIPTION: 60# @DESCRIPTION:
60# If set, this is the USE flag that the PHP dependencies are behind 61# If set, this is the USE flag that the PHP dependencies are behind
61# Most commonly set as PHP_EXT_OPTIONAL_USE=php to get the dependencies behind 62# Most commonly set as PHP_EXT_OPTIONAL_USE=php to get the dependencies behind

Legend:
Removed from v.1.33  
changed lines
  Added in v.1.34

  ViewVC Help
Powered by ViewVC 1.1.20